////////////////////////////////////////////////////////////////////////////////
// Name:        mybtn.h (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/19/01 07:18:58
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
//////////////////////////////////////////////////////////////////////////////////

#ifndef __MYBTN_G__
#define __MYBTN_G__

#include "wx/wx.h"
#include "wx/wspp/all.h"

// %%INFO-{
// { TEMPL = "wxButton for C++" WND_RES = "just_button" MENU_RES = "" IMP_FILE = "mybtn.cpp" DECL_FILE = "mybtn.h" CLASS = "MyButton" RES_FILE = "demo.xrc" }
// %%INFO-}

class MyButton : public wxButton
{
public:
	MyButton();
	~MyButton();

	// %%EVT_DECLS-{
	void OnInitDialog( wxInitDialogEvent& event );
	void OnPaint( wxPaintEvent& event );
	// %%EVT_DECLS-}	

	// %%GETTER_DECLS-{
	// %%GETTER_DECLS-}

	// %%SETTER_DECLS-{
	// %%SETTER_DECLS-}
	
	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS( MyButton )	

protected:
	void ExchangeValues( bool toControls );
	void DoInit();	

protected:
	// %%MEMBER_DECLS-{
	// %%MEMBER_DECLS-}

	// %%CTL_MEMBER_DECLS-{
	// %%CTL_MEMBER_DECLS-}
};

#endif // __MYBTN_G__
